Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.parser.chars
Class MutableChars

    java.lang.Object
      org.jboss.portal.format.parser.chars.MutableChars

All Implemented Interfaces:
  Chars

    public class MutableChars

extends java.lang.Object
implements Chars

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary
`class` | `MutableChars.MyWriter`

Field Summary
`protected char[]` | `chars`
`protected int` | `index`
`protected java.io.Writer` | `writer`

Constructor Summary
`MutableChars()`
`MutableChars(char[] chars)`
`MutableChars(int length)`
`MutableChars(java.lang.String s)`

Method Summary
`MutableChars` | `append(char c)`
`MutableChars` | `append(char[] cbuf, int off, int len)`
`MutableChars` | `append(java.lang.String s)`
`void` | `appendTo(java.io.Writer writer)` Append the chars to a Writer.
`char[]` | `chars()`
`java.io.Reader` | `getReader()` Get a Reader for the chars.
`java.io.Writer` | `getWriter()`
`int` | `length()` Returns how many chars there are.
`void` | `reset()`
`java.lang.String` | `toString()` Returns a String made of the chars.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    protected int index

### chars

    protected char[] chars

### writer

    protected java.io.Writer writer

Constructor Detail

### MutableChars

    public MutableChars(int length)

### MutableChars

    public MutableChars()

### MutableChars

    public MutableChars(char[] chars)

### MutableChars

    public MutableChars(java.lang.String s)

Method Detail

### append

    public MutableChars append(java.lang.String s)

### append

    public MutableChars append(char[] cbuf,
                               int off,
                               int len)

### append

    public MutableChars append(char c)

### reset

    public void reset()

### appendTo

    public void appendTo(java.io.Writer writer)
                  throws java.io.IOException

  Description copied from interface: `Chars`
  Append the chars to a Writer.

  Specified by:
    `appendTo` in interface `Chars`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Description copied from interface: `Chars`
  Returns a String made of the chars.

  Specified by:
    `toString` in interface `Chars`
  Overrides:
    `toString` in class `java.lang.Object`

### getReader

    public java.io.Reader getReader()

  Description copied from interface: `Chars`
  Get a Reader for the chars.

  Specified by:
    `getReader` in interface `Chars`

### length

    public int length()

  Description copied from interface: `Chars`
  Returns how many chars there are.

  Specified by:
    `length` in interface `Chars`

### getWriter

    public java.io.Writer getWriter()

### chars

    public char[] chars()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD